## python3-colcon-installed-package-information 0.1.0

=== debian/changelog ===
python3-colcon-installed-package-information (0.1.0-1) bionic focal jammy stretch buster bullseye; urgency=low

  * source package automatically created by stdeb 0.9.1

 -- Scott K Logan <logans@cottsay.net>  Thu, 05 May 2022 12:01:13 -0700
