## python3-colcon-installed-package-information 0.2.1

=== debian/changelog ===
python3-colcon-installed-package-information (0.2.1-100) focal jammy noble bookworm trixie; urgency=low

  * source package automatically created by stdeb 0.10.0

 -- Scott K Logan <logans@cottsay.net>  Mon, 18 Mar 2024 20:26:57 +0000
