=== debian/control ===
--- 
+++ 
@@ -2,17 +2,14 @@
 Maintainer: Scott K Logan <logans@cottsay.net>
 Section: python
 Priority: optional
-Build-Depends: python3-setuptools, python3-all, debhelper (>= 7)
+Build-Depends: python3-setuptools, python3-all, debhelper (>= 9)
 Standards-Version: 3.9.1
-X-Python3-Version: >= 3.5
-
-
-
-
+Homepage: https://colcon.readthedocs.io
+X-Python3-Version: >= 3.6
 
 Package: python3-colcon-installed-package-information
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-colcon-core
+Depends: ${misc:Depends}, ${python3:Depends}, python3-colcon-core, python3 (>= 3.8) | python3-importlib-metadata
 Description: Extensions for colcon to inspect packages which have already
  colcon-installed-package-information
  ====================================
